Subject: Re: [bug#39229] qt-build-system: Add QT_QPA_PLATFORM=offscreen?

From: Mike Rosset <[email-masked]>
Date: Wed, 22 Jan 2020 01:20:04 -0800

Hartmut Goebel writes:

> Hi Danny,
>
> (forwarding to guix-devel to eventually get more opinions on this)
>
> Am 21.01.20 um 23:43 schrieb Danny Milosavljevic:
>>> +         (add-before 'check 'check-setup
>>> +           (lambda _
>>> +             (setenv "QT_QPA_PLATFORM" "offscreen")
>>> +             #t)))))
>> Hmm, would it make sense to do that automatically in qt-build-system ?
>
> I would be fine with this, since I find myself adding this snippet quite
> often when building Qt/KDE applications. But there *might* be cases,
> where tests fail due to this setting. (While I'm not aware of one, I
> could imaging some test checks whether it is actually painting.)
>
> Thus I propose implementing this in some way to easily disable it if
> required: Either
>
> - by adding this a new phase (as in the snippet shown above), so it can
> easily be disabled
>
> - by adding another keyword-argument (proposal: `#:qpa-platform`,
> default: "offscreen", if +f, will not be set.
>
> WDYT?

I think adding this to qt-build-system with the keywords is a good
suggestion.

++

Mike